Skip to content

Get documents custom schema ​

Get project documents in a custom schema defined in Project settings

Endpoint ​

GET /api/v1/external/projects/{projectUuid}/documents/custom

Headers ​

HeaderTypeRequiredDescription
AuthorizationstringYesBearer token for authentication

Parameters ​

ParameterTypeRequiredDescription
projectUuidstringYesThe UUID of the project to upload the document to. Can be found in the Recognito application.

Query parameters ​

ParameterTypeRequiredDescriptionExample
fromstringYesThe start date to fetch documents from.2022-01-01
statusstringYesThe status of the documents to fetch.pending, approved, validated

Response ​

Success Response (200 OK) ​

json
{
  "status": "success",
  "documents": [
    {
      
    }
  ]
}

Error Response (400 Bad Request) ​

json
{
  "error": "string",
  "message": "string"
}

Example ​

Request ​

bash
curl -X GET https://apiv2.recognito.io/api/v1/external/projects/{projectUuid}/documents/custom?from=2022-01-01&status=approved \
  -H "Authorization: Bearer YOUR_API_KEY"

Response ​

json
{
  "status": "success",
  "documents": [
    {
      
    }
  ]
}